#
# spec file for package seahorse-sharing
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           seahorse-sharing
Version:        3.8.0
Release:        lp150.2.2
Summary:        Sharing of PGP public keys via DNS-SD and HKP
License:        GPL-2.0-or-later
Group:          Productivity/Security
URL:            http://projects.gnome.org/seahorse/
Source:         http://download.gnome.org/sources/seahorse-sharing/3.8/%{name}-%{version}.tar.xz
BuildRequires:  gpg2
BuildRequires:  gpgme-devel
BuildRequires:  intltool
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(avahi-client)
BuildRequires:  pkgconfig(avahi-glib) >= 0.6
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.0
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(sm)
Recommends:     %{name}-lang
Enhances:       seahorse

%description
This package adds sharing of PGP public keys via DNS-SD and HKP.

%lang_package

%prep
%setup -q
sed -i "s:1.2 1.4 2.0:1.2 1.4 2.0 2.1 2.2:" configure

%build
%configure
make %{?_smp_mflags} V=1

%install
%make_install
%suse_update_desktop_file %{name}
%find_lang %{name} %{?no_lang_C}

%files
%license COPYING
%doc AUTHORS MAINTAINERS NEWS README
%{_sysconfdir}/xdg/autostart/seahorse-sharing.desktop
%{_bindir}/seahorse-sharing
%{_mandir}/man1/seahorse-sharing.1%{?ext_man}
%dir %{_datadir}/pixmaps/seahorse/
%dir %{_datadir}/pixmaps/seahorse/*/
%{_datadir}/pixmaps/seahorse/*/seahorse-share-keys.*

%files lang -f %{name}.lang

%changelog
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Wed Sep  6 2017 dimstar@opensuse.org
- Add 2.2 to the list of accepted GPG versions.
* Tue Dec 16 2014 dimstar@opensuse.org
- Inject version 2.1 as acceptable gpg version into configure:
  GPG 2.1 is verified to be compatible and supported.
* Mon Mar 25 2013 dimstar@opensuse.org
- Update to version 3.8.0:
  + Updated translations.
* Mon Feb  4 2013 dimstar@opensuse.org
- Update to version 3.7.5:
  + Updated translations.
* Mon Nov 12 2012 dimstar@opensuse.org
- Update to version 3.6.1:
  + Updated translations.
* Tue Sep 25 2012 dimstar@opensuse.org
- Update to version 3.6.0:
  + Stable release: no changes since previous release.
* Tue Sep 18 2012 dimstar@opensuse.org
- Update to version 3.5.92:
  + Updated translations.
* Mon Mar 26 2012 vuntz@opensuse.org
- Update to version 3.4.0:
  + No changes.
* Tue Mar 20 2012 vuntz@opensuse.org
- Update to version 3.3.92:
  + Build fix, rename gettext package
- Drop hack to remove translations in %%install now that a
  non-conflicting domain is used, and enable the use of a lang
  subpackage by removing the have_lang macro.
* Sun Feb 19 2012 dimstar@opensuse.org
- Add pkgconfig(ice) and pkgconfig(sm) BuildRequires: it used to be
  pulled in by something else, but the relayout of xorg-x11
  packages changed that.
* Tue Oct 18 2011 vuntz@opensuse.org
- Update to version 3.2.1:
  + Fix build when GPGME is built with largefile support.
- Drop seahorse-sharing-lfs-fix.patch: fixed upstream.
- Remove call to autoreconf: it was only needed for the patch
  above.
* Mon Sep 26 2011 vuntz@opensuse.org
- New package (version 3.2).
